Package org.opentcs.data.peripherals

# Enum PeripheralOperation.ExecutionTrigger

java.lang.Object
java.lang.Enum<PeripheralOperation.ExecutionTrigger>
org.opentcs.data.peripherals.PeripheralOperation.ExecutionTrigger

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<PeripheralOperation.ExecutionTrigger>`, `java.lang.constant.Constable`

Enclosing class:
  PeripheralOperation

    public static enum PeripheralOperation.ExecutionTrigger
    extends java.lang.Enum<PeripheralOperation.ExecutionTrigger>

Defines the various moments at which an operation may be executed.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `java.lang.Enum.EnumDesc<E extends java.lang.Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant | Description
  --- | ---
  `AFTER_MOVEMENT` |
  `BEFORE_MOVEMENT` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `static PeripheralOperation.ExecutionTrigger` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
  `static PeripheralOperation.ExecutionTrigger[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### BEFORE_MOVEMENT

    public static final PeripheralOperation.ExecutionTrigger BEFORE_MOVEMENT

  - ### AFTER_MOVEMENT

    public static final PeripheralOperation.ExecutionTrigger AFTER_MOVEMENT

- ## Method Details

  - ### values

    public static PeripheralOperation.ExecutionTrigger[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static PeripheralOperation.ExecutionTrigger valueOf​(java.lang.String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
      `java.lang.NullPointerException` - if the argument is null